# @parent=any
# @author=misterx7772



# Set up

    scoreboard teams empty red
    scoreboard teams empty green
    scoreboard teams empty spectator
    scoreboard teams join lobby @a

    summon area_effect_cloud ~ ~ ~ {"CustomName":"online_players", "Tags":["_randomize_entity"], "Duration": 20}
    summon area_effect_cloud ~ ~ ~ {"CustomName":"team_players", "Tags":["red", "_randomize_entity"], "Duration": 20}
    summon area_effect_cloud ~ ~ ~ {"CustomName":"team_players", "Tags":["green", "_randomize_entity"], "Duration": 20}
    scoreboard players set @e[type=area_effect_cloud,name=online_players] state 0
    execute @a[team=lobby] ~ ~ ~ scoreboard players add @e[type=area_effect_cloud,name=online_players] state 1
    
    scoreboard players operation @e[type=area_effect_cloud,name=team_players] state = @e[type=area_effect_cloud,name=online_players] state
    scoreboard players operation @e[type=area_effect_cloud,name=team_players,tag=red] state /= 2 CONST
    scoreboard players operation @e[type=area_effect_cloud,name=team_players,tag=green] state /= 2 CONST

# Do the thing

    function game:lobby/randomize_teams_recur

# If a player left assign to random team


    scoreboard players set online state 0
    execute @a ~ ~ ~ scoreboard players add online 1

    execute @e[name=s] ~ ~ ~ scoreboard players test online state 4 *
    scoreboard players tag @e[name=s,score_success_min=1] add _no_empty_teams

    execute @a[team=lobby] ~ ~ ~ function game:lobby/randomize_handle_tie if @e[name=s,tag=_no_empty_teams]
    execute @a[team=lobby] ~ ~ ~ function game:lobby/randomize_handle_tie_with_empty_team unless @e[name=s,tag=_no_empty_teams]

    scoreboard players tag @e[name=s] remove _no_empty_teams
    
    kill @e[type=area_effect_cloud,tag=_randomize_entity]
