# @parent=game:start/teleport_players_move_spawn
# @author=misterx7772
# @recursive

# load the arena

stopsound @a record
scoreboard players set @a music_id 0

title @a times 10 32768 0
title @a title [ { "translate": "grape.loading", "color": "red", "bold": true } ]
title @a subtitle [ { "text": " " } ]
function game:arena/load_ice_arena if @e[type=area_effect_cloud,name=s,score_chosen_map_min=0,score_chosen_map=0]
function game:arena/load_village_arena if @e[type=area_effect_cloud,name=s,score_chosen_map_min=1,score_chosen_map=1]
title @a times 0 0 20

# Teleport player

    execute @a[tag=IG] ~ ~ ~ function game:start/teleport_players    
    execute @a[tag=IG,team=red] ~ ~ ~ teleport @s ~ ~ ~ ~90 ~
    execute @a[tag=IG,team=green] ~ ~ ~ teleport @s ~ ~ ~ ~-90 ~

    scoreboard players tag @a[tag=IG] add collidable
	
	execute @a[tag=IG] ~ ~ ~ function game:assign_player_id
	stats entity @a set SuccessCount @s success
	scoreboard players set @a success 0
	
# Load player health

    execute @a[tag=IG] ~ ~ ~ function game:health/init_player
    
# Set inventory up

    scoreboard players operation @a[tag=IG] snowballs = StartSnowballs options
    execute @a[tag=IG] ~ ~ ~ function game:snowballs/update_hotbar
    execute @a[tag=IG] ~ ~ ~ function game:items/get/snow_shovel

# Set gamemode

    gamemode 2 @a[tag=IG]

# Load sidebar

    function game:sidebar/reset
    scoreboard objectives setdisplay sidebar GAME

    scoreboard players set §a§lGREEN§r GAME 32
    scoreboard players set §c§lRED§r GAME 32

# Start music

    scoreboard players set @a music_id 2
    scoreboard players set @a music_time 60

# Send tips to first time users

    summon commandblock_minecart 0 0 0 {"CustomName":"delay","Tags":["1m"],"Command":"execute @a[tag=!got_tips] ~ ~ ~ function game:tips/bonfire"}
    summon commandblock_minecart 0 0 0 {"CustomName":"delay","Tags":["30s"],"Command":"execute @a[tag=!got_tips] ~ ~ ~ function game:tips/shop"}
    summon commandblock_minecart 0 0 0 {"CustomName":"delay","Tags":["10s"],"Command":"execute @a[tag=!got_tips] ~ ~ ~ function game:tips/snowballs"}

# Calculate the amount of blocks turf change per kill based on player count

    summon area_effect_cloud ~ ~ ~ { "CustomName": "change_per_kill", "Duration": 5 }
    execute @e[type=area_effect_cloud,name=change_per_kill] ~ ~ ~ function game:start/calculate_turf_change_per_kill