# @Parent: none
# @Author: ersatz_

#
# Attemt to spawn structures
#

# Tag player if they are at the build height so they get their items back
scoreboard players tag @s[y=23,dy=10] add Structure_Spawn_Failed_Build_Limit

# Spawn structures
execute @s[tag=!Structure_Spawn_Failed_Build_Limit] ~ ~ ~ function game:structures/spawn_structures

#
# Stuff that happens when a structure is sucessfully placed
#
execute @s[tag=!Structure_Spawn_Failed] ~ ~ ~ execute @s[tag=!Structure_Spawn_Failed_Build_Limit] ~ ~ ~ function game:structures/handle_structure_spawn_success


#
# Handle failure to spawn structure
#
execute @s[tag=Structure_Spawn_Failed] ~ ~ ~ function game:structures/handle_structure_spawn_fail
execute @s[tag=Structure_Spawn_Failed_Build_Limit] ~ ~ ~ function game:structures/handle_structure_spawn_fail

# Tellraw for failing to place a structure
tellraw @s[tag=Structure_Spawn_Failed] [{"translate":"grape.structures.failure_to_place"}]
tellraw @s[tag=Structure_Spawn_Failed_Build_Limit] [{"translate":"grape.structures.failure_to_place_build_limit"}]

# Apply Build limit for structures
execute @s[tag=IG] ~ ~ ~ function game:structures/apply_build_limit

#
# Reset
#

# Reset fail conditions
scoreboard players tag @s remove Structure_Spawn_Failed
scoreboard players tag @s remove Structure_Spawn_Failed_Build_Limit
# Reset dropDye for this player
scoreboard players reset @s dropDye
