# @parent=master:root
# @author=misterx7772

#
# This function, ran directly by master:root, is used to reference
# major systems.
#
# This should only be used to reference an entire large system
# for example, the lobby or parent game mechanics
# 
# You should use a master:index function as index instead
# of directly running a separate folder, so things are easier
# to find.
#
# Example - running only if s has the tag.
#
#   function master:index/example if @s[tag=_example]
# 
# See the index:example fake function.
#

# "Snowballs"
    
    function master:index/snowballs if @s[tag=_snowballs]

# Game
    
    function master:index/game if @s[tag=_game]

# Lobby

    function master:index/lobby if @s[tag=_lobby]

# Register

    function master:register/listener

# Music

    function master:music/tick if @s[tag=_music]

# Players reconnects

    execute @a[score_reconnect_min=1] ~ ~ ~ function master:reconnect

# Delay
    
    execute @e[type=commandblock_minecart,name=delay] ~ ~ ~ function master:delay