#############################
#
# Compute a vector based on cos_rx, sin_rx, cos_ry and sin_ry
#
#
# Made by Arth2000
#
#############################

# Compute fx, fy and fz
# fx = -sin(ry) * cos(rx)
# fz =  cos(ry) * cos(rx)
# fy = -sin(rx)


function raycasting:get_2D_force

# fx
scoreboard players operation @s fx *= @s cos_rx
scoreboard players operation @s fx /= U CONST


# fz
scoreboard players operation @s fz *= @s cos_rx
scoreboard players operation @s fz /= U CONST


# fy
scoreboard players operation @s fy = @s sin_rx
scoreboard players operation @s fy *= -1 CONST
