#
# Delay a command by a specific amount
#
# Create a CB Minecart with the name "delay"
# summon commandblock_minecart 0 0 0 {"CustomName":"delay","Tags":["X"],"Command":"say hi"}
#
#####################################
#
# @author=misterx7772

# Add these tags for common
# delays which are set  automatically
#
# 1-10t = 1-10 tick
# 15t = 15 ticks
# 1-5s = 1-5 seconds
# 10s = 10 seconds
# 15s, 20s, 30s, 1m.
#
# For any other value, set the score manually or add to master:delay_set.
#
#####################################

#~ Set data

	entitydata @s[tag=!registered] {"NoGravity":1b}
	function master:delay_set if @s[tag=!registered]
	scoreboard players tag @s add registered

#~ Timekeeping

	scoreboard players remove @s timer1 1

#~ Kill when done 

	kill @s[tag=delay_end,score_timer1=-3]

#~ Check when to trigger command

	scoreboard players tag @s[score_timer1=0] add delay_end
	teleport @s[tag=delay_end] 0 1 -16
