#############################
#
# Compute e^x assuming 0 <= x <= 1
# 
# Input:
#	in1: x in the U format
#
#
#
# e^x ~= (536*e - 1456) + (16800 - 6180*e) * x + (15120*e - 41100) * x^2 + (27020 - 9940*e) x^3
#
# a = 536 * e - 1456
# b = 16800 - 6180 * e
# c = 15120 * e - 41100
# d = 27020 - 9940 * e
#
#
# RMSD: 3.32 * 10^(-4)
#
# Made by Arth2000
#
#############################


# out1 = (  ( (x * u^2 + c/d * u^2 + u/2) / u * x * u + b/d * u^2 + u/2 ) / u * x + a/d * u^2 + (u/d/2)  )  / (u / d)

scoreboard players operation @s out1 = @s in1
scoreboard players operation @s out1 *= U CONST

scoreboard players add @s out1 151192483
scoreboard players operation @s out1 /= U CONST

scoreboard players operation @s out1 *= @s in1

scoreboard players add @s out1 365478197
scoreboard players operation @s out1 /= U CONST

scoreboard players operation @s out1 *= @s in1

scoreboard players add @s out1 358585782

# exp_f4 = u/d ~= 35891
scoreboard players operation @s out1 /= exp_f4 CONST

scoreboard players set @s[score_out1=9999] out1 10000
