#############################
#
# Compute e^x assuming x >= 0
# e^x = e^(a + b) = e^a * e^b where a is the integral part of x and b its decimal part
# Uses a function tree to compute e^a
# 
# Input:
#	in1: x in the U format
#
#
# Made by Arth2000
#
#############################

scoreboard players set @s[score_in1=9999] out1 10000
function utils:math/exp/_exp/get_0_12 if @s[score_in1_min=10000]

scoreboard players operation @s out2 = @s out1

scoreboard players operation @s in1 %= U CONST

function utils:math/exp/exp_0_1

scoreboard players operation @s out1 *= @s out2
scoreboard players operation @s out1 /= U CONST
