#############################
#
# Compute e^x assuming x >= 0
# 
# Input:
#	in1: x in the U format
#
#
# Computes e^x using an iterative method:
# 	x[n+1] = x[n] + (2*n + 1 + x) * x^(2*n) / (2*n + 1)!
#
#
# RMSD: 8.45 * 10^(-6) (for x <= 15. e^15 ~= 3.3 * 10^10)
#
# Made by Arth2000
#
#############################

scoreboard players set @s[score_in1_min=0,score_in1=0] out1 10000
function utils:math/exp/iterexp_pos if @s[score_in1_min=1]
function utils:math/exp/iterexp_neg if @s[score_in1=-1]
