#############################
#
# Compute e^x assuming x >= 0
# 
# Input:
#	in1: x^2
#	in2: 2*n + 1 + x
#	in3: 2*n + 1
#
#
# Computes e^x using an iterative method:
# 	x[n+1] = x[n] + (2*n + 1 + x) * x^(2*n) / (2*n + 1)!
#
#
# RMSD: 8.45 * 10^(-6) (without counting the rounding errors... Pls 64 bits numbers)
#
# Made by Arth2000
#
#############################


scoreboard players operation @s out1 += @s in2
scoreboard players remove @s in2 20000

scoreboard players operation @s out1 /= @s in3
scoreboard players remove @s in3 1
scoreboard players operation @s[score_in3_min=1] out1 /= @s in3
scoreboard players remove @s in3 1

scoreboard players operation @s[score_in3_min=1] out1 *= @s in1
scoreboard players operation @s[score_in3_min=1] out1 /= U CONST

function utils:math/exp/iterexp_iter if @s[score_in3_min=1]
