#############################
#
# Compute e^x assuming x >= 0
# 
# Input:
#	in1: x in the U format
#
#
# Computes e^x using an iterative method:
# 	x[n+1] = x[n] + (2*n + 1 + x) * x^(2*n) / (2*n + 1)!
#
#
# RMSD: 8.45 * 10^(-6) (for x <= 15. e^15 ~= 3.3 * 10^10)
#
# Made by Arth2000
#
#############################

scoreboard players operation @s in1 *= -1 CONST

function utils:math/exp/iterexp_pos

scoreboard players set @s tmp1 100000000
scoreboard players operation @s tmp1 /= @s out1

scoreboard players operation @s out1 = @s tmp1
