#############################
#
# Compute the sin of in1 using a 5th order approx
# Assume -2^13 <= in1 <= 2^13
# sin(pi/2 x) ~= (10395 (pi^4 - 112 pi^2 + 1008) / (2 pi^6)) x^5 + (- 315 (17 pi^4 - 2040 pi^2 + 18480) / pi^6) x^3 + (105 (19 pi^4 - 2592 pi^2 + 23760) / (2 pi^6)) x
#
# a = (10395 * (pi^4 - 112 * pi^2 + 1008) / (2 * pi^6))
# b = (- 315 * (17 * pi^4 - 2040 * pi^2 + 18480) / pi^6)
# c = (105 * (19 * pi^4 - 2592 * pi^2 + 23760) / (2 * pi^6))
#
#
# in1  in 10000
# out1 in 10000
#
# in1 = 2/pi * x * U = d / 90 * U = z * U
#	where x is the angle in radians and d the angle in degrees
#
# RMSD: 4.19 * 10^(-5)
#
# Made by Arth2000
#
#############################

# Let z = 2/pi * x
# tmp1 = z^2 * U^2
scoreboard players operation @s tmp1 = @s in1
scoreboard players operation @s tmp1 *= @s in1


# out1 = ( (z^2 * u^2 + (b/a)*u^2 + (6*u/5)/2) / (6*u/5) * z^2 * u + c * (5 * u^2 / (6 * a)) + u/2 ) / u * x / (5 * u / (6 * a))

scoreboard players operation @s out1 = @s tmp1
scoreboard players remove @s out1 887305521

# sin5_f2 = 12000 = (6*u/5)
scoreboard players operation @s out1 /= sin5_f2 CONST
scoreboard players operation @s tmp1 /= U CONST
scoreboard players operation @s out1 *= @s tmp1

scoreboard players add @s out1 1806765044
scoreboard players operation @s out1 /= U CONST

scoreboard players operation @s out1 *= @s in1

# sin5_f4 = 115048 = (5*u / (6*a))
scoreboard players operation @s out1 /= sin5_f4 CONST

scoreboard players set @s[score_out1_min=10001] out1 10000
scoreboard players set @s[score_out1=-10001] out1 -10000
