#############################
#
# Creates scoreboards and set values
#
# Made by Arth2000
#
##############################

# Input scoreboards
# The inputs to the functions should be stored in those scoreboards
# /!\ The values in those scoreboards are unsafe and can be changed at any time /!\
scoreboard objectives add in1 dummy
scoreboard objectives add in2 dummy
scoreboard objectives add in3 dummy

# Output scoreboards
# The outpts to the functions should be stored in those scoreboards
# /!\ The values in those scoreboards are unsafe and can be changed at any time /!\
scoreboard objectives add out1 dummy
scoreboard objectives add out2 dummy
scoreboard objectives add out3 dummy

# Temp scoreboards
# Scoreboards used to store temporary data
# /!\ The values in those scoreboards are unsafe and can be changed at any time /!\
scoreboard objectives add tmp1 dummy
scoreboard objectives add tmp2 dummy
scoreboard objectives add tmp3 dummy

# Data scoreboard
scoreboard objectives add data dummy

# Id scoreboards
scoreboard objectives add id dummy
scoreboard objectives add cur dummy

scoreboard players set current id 0


# Rotation objectives
scoreboard objectives add rx dummy
scoreboard objectives add ry dummy

# Trig objectives
scoreboard objectives add sin_rx dummy
scoreboard objectives add cos_rx dummy
scoreboard objectives add sin_ry dummy
scoreboard objectives add cos_ry dummy


# Vector holders
scoreboard objectives add ux dummy
scoreboard objectives add uy dummy
scoreboard objectives add uz dummy

scoreboard objectives add wx dummy
scoreboard objectives add wy dummy
scoreboard objectives add wz dummy


# Position
scoreboard objectives add x dummy
scoreboard objectives add y dummy
scoreboard objectives add z dummy

# Velocity
scoreboard objectives add vx dummy
scoreboard objectives add vy dummy
scoreboard objectives add vz dummy

# Acceleration
scoreboard objectives add ax dummy
scoreboard objectives add ay dummy
scoreboard objectives add az dummy

# Force
scoreboard objectives add fx dummy
scoreboard objectives add fy dummy
scoreboard objectives add fz dummy

# ->      ->
# F = m * a
scoreboard objectives add mass dummy

# Velocity error
scoreboard objectives add err_vx dummy
scoreboard objectives add err_vy dummy
scoreboard objectives add err_vz dummy

# Acceleration error
scoreboard objectives add err_ax dummy
scoreboard objectives add err_ay dummy
scoreboard objectives add err_az dummy


# Revolving system:
# Factors
scoreboard objectives add A_x dummy
scoreboard objectives add A_y dummy
scoreboard objectives add A_z dummy
scoreboard objectives add B_x dummy
scoreboard objectives add B_z dummy

# Time
scoreboard objectives add t dummy
scoreboard objectives add dt dummy

# Radius
scoreboard objectives add radius dummy

# unit^2 error
scoreboard objectives add err_vx_U^2 dummy
scoreboard objectives add err_vy_U^2 dummy
scoreboard objectives add err_vz_U^2 dummy


# CONST: Used to store values that do not change at run time
scoreboard objectives add CONST dummy

# Setput the constants
scoreboard players set -2 CONST -2
scoreboard players set -1 CONST -1
scoreboard players set 0 CONST 0
scoreboard players set 1 CONST 1
scoreboard players set 2 CONST 2
scoreboard players set 3 CONST 3
scoreboard players set 4 CONST 4
scoreboard players set 5 CONST 5
scoreboard players set 6 CONST 6
scoreboard players set 7 CONST 7
scoreboard players set 8 CONST 8
scoreboard players set 9 CONST 9
scoreboard players set 10 CONST 10
scoreboard players set 11 CONST 11
scoreboard players set 12 CONST 12
scoreboard players set 13 CONST 13
scoreboard players set 14 CONST 14
scoreboard players set 15 CONST 15
scoreboard players set 16 CONST 16
scoreboard players set 17 CONST 17
scoreboard players set 18 CONST 18
scoreboard players set 19 CONST 19
scoreboard players set 20 CONST 20

scoreboard players set 100 CONST 100
scoreboard players set 125 CONST 125
scoreboard players set 126 CONST 126

scoreboard players set 90 CONST 90
scoreboard players set 180 CONST 180
scoreboard players set 270 CONST 270
scoreboard players set 360 CONST 360


# unit
scoreboard players set U CONST 10000
scoreboard players set -U CONST -10000

scoreboard players set 2*U CONST 20000
scoreboard players set 3*U CONST 30000
scoreboard players set 4*U CONST 40000
scoreboard players set 5*U CONST 50000
scoreboard players set 6*U CONST 60000
scoreboard players set 7*U CONST 70000
scoreboard players set 8*U CONST 80000
scoreboard players set 9*U CONST 90000
scoreboard players set 10*U CONST 100000
scoreboard players set U^2 CONST 100000000
scoreboard players set √U CONST 100

scoreboard players set U/2 CONST 5000
scoreboard players set U/3 CONST 3333
scoreboard players set U/4 CONST 2500
scoreboard players set U/5 CONST 2000
scoreboard players set U/6 CONST 1667
scoreboard players set U/7 CONST 1429
scoreboard players set U/8 CONST 1250
scoreboard players set U/9 CONST 1111
scoreboard players set U/10 CONST 1000

scoreboard players set 2*U/3 CONST 6667


# Radius unit
scoreboard players set R CONST 100

# pi
scoreboard players set pi CONST 31415
scoreboard players set -pi CONST -31415
scoreboard players set 2*pi CONST 62832
scoreboard players set 3*pi CONST 94248
scoreboard players set 4*pi CONST 125664
scoreboard players set pi^2 CONST 98696

scoreboard players set pi/2 CONST 15708
scoreboard players set -pi/2 CONST -15708
scoreboard players set pi/3 CONST 10472
scoreboard players set pi/4 CONST 7854


# For sin3 approximation
scoreboard players set sin3_f3 CONST 137766

# For sin5 approximation
scoreboard players set sin5_f2 CONST 12000
scoreboard players set sin5_f4 CONST 115048

# For exp approximation
scoreboard players set exp_f4 CONST 35891


# Game setup
function game:setup
